- name: Setup pods fact
  ansible.builtin.set_fact:
    pods:
      - name: "{{ item.name }}"
        build:
          dockerfile: "{{ lookup('template', 'Dockerfile.mcp.j2') }}"
        ports:
          - 0.0.0.0:{{ item.port | default(8000) }}:8000/tcp
        env: "{{ item.env | default({}) }}"
        volumes: "{{ item.volumes | default([]) }}"

- name: Setup Pods
  ansible.builtin.include_tasks:
    file: podman.yml
  when: item.enabled | default(true)
